#ifndef DOM_BINDINGNAMES_H_
#define DOM_BINDINGNAMES_H_

#include <stddef.h>
#include <stdint.h>
#include "mozilla/Attributes.h"

namespace mozilla::dom {

enum class BindingNamesOffset : uint16_t {
  ANGLE_instanced_arrays = 0,
  APZHitResultFlags = 23,
  AbortController = 41,
  AbortSignal = 57,
  AbstractRange = 69,
  AccessibleNode = 83,
  Addon = 98,
  AddonEvent = 104,
  AddonInstall = 115,
  AddonManager = 128,
  AddonManagerPermissions = 141,
  AnalyserNode = 165,
  Animation = 178,
  AnimationEffect = 188,
  AnimationEvent = 204,
  AnimationPlaybackEvent = 219,
  AnimationTimeline = 242,
  AnonymousContent = 260,
  Attr = 277,
  Audio = 282,
  AudioBuffer = 288,
  AudioBufferSourceNode = 300,
  AudioContext = 322,
  AudioData = 335,
  AudioDecoder = 345,
  AudioDestinationNode = 358,
  AudioEncoder = 379,
  AudioListener = 392,
  AudioNode = 406,
  AudioParam = 416,
  AudioParamMap = 427,
  AudioProcessingEvent = 441,
  AudioScheduledSourceNode = 462,
  AudioTrack = 487,
  AudioTrackList = 498,
  AudioWorklet = 513,
  AudioWorkletGlobalScope = 526,
  AudioWorkletNode = 550,
  AudioWorkletProcessor = 567,
  AuthenticatorAssertionResponse = 589,
  AuthenticatorAttestationResponse = 620,
  AuthenticatorResponse = 653,
  BarProp = 675,
  BaseAudioContext = 683,
  BatteryManager = 700,
  BeforeUnloadEvent = 715,
  BiquadFilterNode = 733,
  Blob = 750,
  BlobEvent = 755,
  BroadcastChannel = 765,
  BrowsingContext = 782,
  BrowsingContextGroup = 798,
  ByteLengthQueuingStrategy = 819,
  CDATASection = 845,
  CSPViolationReportBody = 858,
  CSS = 881,
  CSS2Properties = 885,
  CSSAnimation = 900,
  CSSConditionRule = 913,
  CSSContainerRule = 930,
  CSSCounterStyleRule = 947,
  CSSCustomPropertyRegisteredEvent = 967,
  CSSFontFaceRule = 1000,
  CSSFontFeatureValuesRule = 1016,
  CSSFontPaletteValuesRule = 1041,
  CSSGroupingRule = 1066,
  CSSImportRule = 1082,
  CSSKeyframeRule = 1096,
  CSSKeyframesRule = 1112,
  CSSLayerBlockRule = 1129,
  CSSLayerStatementRule = 1147,
  CSSMarginRule = 1169,
  CSSMediaRule = 1183,
  CSSMozDocumentRule = 1196,
  CSSNamespaceRule = 1215,
  CSSNestedDeclarations = 1232,
  CSSPageDescriptors = 1254,
  CSSPageRule = 1273,
  CSSPositionTryDescriptors = 1285,
  CSSPositionTryRule = 1311,
  CSSPropertyRule = 1330,
  CSSPseudoElement = 1346,
  CSSRule = 1363,
  CSSRuleList = 1371,
  CSSScopeRule = 1383,
  CSSStartingStyleRule = 1396,
  CSSStyleDeclaration = 1417,
  CSSStyleRule = 1437,
  CSSStyleSheet = 1450,
  CSSSupportsRule = 1464,
  CSSTransition = 1480,
  Cache = 1494,
  CacheStorage = 1500,
  CallbackDebuggerNotification = 1513,
  CanonicalBrowsingContext = 1542,
  CanvasCaptureMediaStream = 1567,
  CanvasGradient = 1592,
  CanvasPattern = 1607,
  CanvasRenderingContext2D = 1621,
  CaretPosition = 1646,
  CaretStateChangedEvent = 1660,
  ChannelMergerNode = 1683,
  ChannelSplitterNode = 1701,
  ChannelWrapper = 1721,
  CharacterData = 1736,
  CheckerboardReportService = 1750,
  ChildProcessMessageManager = 1776,
  ChildSHistory = 1803,
  ChromeMessageBroadcaster = 1817,
  ChromeMessageSender = 1842,
  ChromeNodeList = 1862,
  ChromeUtils = 1877,
  ChromeWorker = 1889,
  Client = 1902,
  Clients = 1909,
  Clipboard = 1917,
  ClipboardEvent = 1927,
  ClipboardItem = 1942,
  ClonedErrorHolder = 1956,
  CloseEvent = 1974,
  CloseWatcher = 1985,
  CommandEvent = 1998,
  Comment = 2011,
  CompositionEvent = 2019,
  CompressionStream = 2036,
  ConsoleInstance = 2054,
  ConstantSourceNode = 2070,
  ContentFrameMessageManager = 2089,
  ContentProcessMessageManager = 2116,
  ContentVisibilityAutoStateChangeEvent = 2145,
  ConvolverNode = 2183,
  CookieChangeEvent = 2197,
  CookieStore = 2215,
  CountQueuingStrategy = 2227,
  CreateOfferRequest = 2248,
  Credential = 2267,
  CredentialsContainer = 2278,
  Crypto = 2299,
  CryptoKey = 2306,
  CustomElementRegistry = 2316,
  CustomEvent = 2338,
  CustomStateSet = 2350,
  DOMException = 2365,
  DOMImplementation = 2378,
  DOMLocalization = 2396,
  DOMMatrix = 2412,
  DOMMatrixReadOnly = 2422,
  DOMParser = 2440,
  DOMPoint = 2450,
  DOMPointReadOnly = 2459,
  DOMQuad = 2476,
  DOMRect = 2484,
  DOMRectList = 2492,
  DOMRectReadOnly = 2504,
  DOMStringList = 2520,
  DOMStringMap = 2534,
  DOMTokenList = 2547,
  DataTransfer = 2560,
  DataTransferItem = 2573,
  DataTransferItemList = 2590,
  DebuggerNotification = 2611,
  DebuggerNotificationObserver = 2632,
  DecompressionStream = 2661,
  DedicatedWorkerGlobalScope = 2681,
  DelayNode = 2708,
  DeprecationReportBody = 2718,
  DeviceAcceleration = 2740,
  DeviceLightEvent = 2759,
  DeviceMotionEvent = 2776,
  DeviceOrientationEvent = 2794,
  DeviceRotationRate = 2817,
  Directory = 2836,
  Document = 2846,
  DocumentFragment = 2855,
  DocumentL10n = 2872,
  DocumentTimeline = 2885,
  DocumentType = 2902,
  DominatorTree = 2915,
  DragEvent = 2929,
  DynamicsCompressorNode = 2939,
  EXT_blend_minmax = 2962,
  EXT_color_buffer_float = 2979,
  EXT_color_buffer_half_float = 3002,
  EXT_depth_clamp = 3030,
  EXT_disjoint_timer_query = 3046,
  EXT_float_blend = 3071,
  EXT_frag_depth = 3087,
  EXT_sRGB = 3102,
  EXT_shader_texture_lod = 3111,
  EXT_texture_compression_bptc = 3134,
  EXT_texture_compression_rgtc = 3163,
  EXT_texture_filter_anisotropic = 3192,
  EXT_texture_norm16 = 3223,
  Element = 3242,
  ElementInternals = 3250,
  EncodedAudioChunk = 3267,
  EncodedVideoChunk = 3285,
  ErrorEvent = 3303,
  Event = 3314,
  EventCallbackDebuggerNotification = 3320,
  EventCounts = 3354,
  EventSource = 3366,
  EventTarget = 3378,
  Exception = 3390,
  ExtendableEvent = 3400,
  ExtendableMessageEvent = 3416,
  ExtensionAlarms = 3439,
  ExtensionBrowser = 3455,
  ExtensionBrowserSettings = 3472,
  ExtensionBrowserSettingsColorManagement = 3497,
  ExtensionDns = 3537,
  ExtensionEventManager = 3550,
  ExtensionMockAPI = 3572,
  ExtensionPort = 3589,
  ExtensionProxy = 3603,
  ExtensionRuntime = 3618,
  ExtensionScripting = 3635,
  ExtensionSetting = 3654,
  ExtensionTest = 3671,
  External = 3685,
  FeaturePolicy = 3694,
  FeaturePolicyViolationReportBody = 3708,
  FetchEvent = 3741,
  FetchObserver = 3752,
  File = 3766,
  FileList = 3771,
  FileReader = 3780,
  FileReaderSync = 3791,
  FileSystem = 3806,
  FileSystemDirectoryEntry = 3817,
  FileSystemDirectoryHandle = 3842,
  FileSystemDirectoryHandle_AsyncIterator = 3868,
  FileSystemDirectoryIterator = 3908,
  FileSystemDirectoryReader = 3936,
  FileSystemEntry = 3962,
  FileSystemFileEntry = 3978,
  FileSystemFileHandle = 3998,
  FileSystemHandle = 4019,
  FileSystemSyncAccessHandle = 4036,
  FileSystemWritableFileStream = 4063,
  Flex = 4092,
  FlexItemValues = 4097,
  FlexLineValues = 4112,
  FluentBundle = 4127,
  FluentBundleAsyncIterator = 4140,
  FluentBundleIterator = 4166,
  FluentPattern = 4187,
  FluentResource = 4201,
  FocusEvent = 4216,
  FontFace = 4227,
  FontFaceSet = 4236,
  FontFaceSetIterator = 4248,
  FontFaceSetLoadEvent = 4268,
  FormData = 4289,
  FormData_Iterator = 4298,
  FormDataEvent = 4316,
  FragmentDirective = 4330,
  FrameCrashedEvent = 4348,
  FrameLoader = 4366,
  GPU = 4378,
  GPUAdapter = 4382,
  GPUAdapterInfo = 4393,
  GPUBindGroup = 4408,
  GPUBindGroupLayout = 4421,
  GPUBuffer = 4440,
  GPUBufferUsage = 4450,
  GPUCanvasContext = 4465,
  GPUColorWrite = 4482,
  GPUCommandBuffer = 4496,
  GPUCommandEncoder = 4513,
  GPUCompilationInfo = 4531,
  GPUCompilationMessage = 4550,
  GPUComputePassEncoder = 4572,
  GPUComputePipeline = 4594,
  GPUDevice = 4613,
  GPUDeviceLostInfo = 4623,
  GPUError = 4641,
  GPUInternalError = 4650,
  GPUMapMode = 4667,
  GPUOutOfMemoryError = 4678,
  GPUPipelineLayout = 4698,
  GPUQuerySet = 4716,
  GPUQueue = 4728,
  GPURenderBundle = 4737,
  GPURenderBundleEncoder = 4753,
  GPURenderPassEncoder = 4776,
  GPURenderPipeline = 4797,
  GPUSampler = 4815,
  GPUShaderModule = 4826,
  GPUShaderStage = 4842,
  GPUSupportedFeatures = 4857,
  GPUSupportedLimits = 4878,
  GPUTexture = 4897,
  GPUTextureUsage = 4908,
  GPUTextureView = 4924,
  GPUUncapturedErrorEvent = 4939,
  GPUValidationError = 4963,
  GainNode = 4982,
  Gamepad = 4991,
  GamepadAxisMoveEvent = 4999,
  GamepadButton = 5020,
  GamepadButtonEvent = 5034,
  GamepadEvent = 5053,
  GamepadHapticActuator = 5066,
  GamepadLightIndicator = 5088,
  GamepadPose = 5110,
  GamepadServiceTest = 5122,
  GamepadTouch = 5141,
  Geolocation = 5154,
  GeolocationCoordinates = 5166,
  GeolocationPosition = 5189,
  GeolocationPositionError = 5209,
  GetUserMediaRequest = 5234,
  GleanBoolean = 5254,
  GleanCategory = 5267,
  GleanCounter = 5281,
  GleanCustomDistribution = 5294,
  GleanDatetime = 5318,
  GleanDenominator = 5332,
  GleanEvent = 5349,
  GleanImpl = 5360,
  GleanLabeled = 5370,
  GleanMemoryDistribution = 5383,
  GleanMetric = 5407,
  GleanNumerator = 5419,
  GleanObject = 5434,
  GleanPingsImpl = 5446,
  GleanQuantity = 5461,
  GleanRate = 5475,
  GleanString = 5485,
  GleanStringList = 5497,
  GleanText = 5513,
  GleanTimespan = 5523,
  GleanTimingDistribution = 5537,
  GleanUrl = 5561,
  GleanUuid = 5570,
  Grid = 5580,
  GridArea = 5585,
  GridDimension = 5594,
  GridLine = 5608,
  GridLines = 5617,
  GridTrack = 5627,
  GridTracks = 5637,
  HTMLAllCollection = 5648,
  HTMLAnchorElement = 5666,
  HTMLAreaElement = 5684,
  HTMLAudioElement = 5700,
  HTMLBRElement = 5717,
  HTMLBaseElement = 5731,
  HTMLBodyElement = 5747,
  HTMLButtonElement = 5763,
  HTMLCanvasElement = 5781,
  HTMLCollection = 5799,
  HTMLDListElement = 5814,
  HTMLDataElement = 5831,
  HTMLDataListElement = 5847,
  HTMLDetailsElement = 5867,
  HTMLDialogElement = 5886,
  HTMLDirectoryElement = 5904,
  HTMLDivElement = 5925,
  HTMLDocument = 5940,
  HTMLElement = 5953,
  HTMLEmbedElement = 5965,
  HTMLFieldSetElement = 5982,
  HTMLFontElement = 6002,
  HTMLFormControlsCollection = 6018,
  HTMLFormElement = 6045,
  HTMLFrameElement = 6061,
  HTMLFrameSetElement = 6078,
  HTMLHRElement = 6098,
  HTMLHeadElement = 6112,
  HTMLHeadingElement = 6128,
  HTMLHtmlElement = 6147,
  HTMLIFrameElement = 6163,
  HTMLImageElement = 6181,
  HTMLInputElement = 6198,
  HTMLLIElement = 6215,
  HTMLLabelElement = 6229,
  HTMLLegendElement = 6246,
  HTMLLinkElement = 6264,
  HTMLMapElement = 6280,
  HTMLMarqueeElement = 6295,
  HTMLMediaElement = 6314,
  HTMLMenuElement = 6331,
  HTMLMetaElement = 6347,
  HTMLMeterElement = 6363,
  HTMLModElement = 6380,
  HTMLOListElement = 6395,
  HTMLObjectElement = 6412,
  HTMLOptGroupElement = 6430,
  HTMLOptionElement = 6450,
  HTMLOptionsCollection = 6468,
  HTMLOutputElement = 6490,
  HTMLParagraphElement = 6508,
  HTMLParamElement = 6529,
  HTMLPictureElement = 6546,
  HTMLPreElement = 6565,
  HTMLProgressElement = 6580,
  HTMLQuoteElement = 6600,
  HTMLScriptElement = 6617,
  HTMLSelectElement = 6635,
  HTMLSlotElement = 6653,
  HTMLSourceElement = 6669,
  HTMLSpanElement = 6687,
  HTMLStyleElement = 6703,
  HTMLTableCaptionElement = 6720,
  HTMLTableCellElement = 6744,
  HTMLTableColElement = 6765,
  HTMLTableElement = 6785,
  HTMLTableRowElement = 6802,
  HTMLTableSectionElement = 6822,
  HTMLTemplateElement = 6846,
  HTMLTextAreaElement = 6866,
  HTMLTimeElement = 6886,
  HTMLTitleElement = 6902,
  HTMLTrackElement = 6919,
  HTMLUListElement = 6936,
  HTMLUnknownElement = 6953,
  HTMLVideoElement = 6972,
  HashChangeEvent = 6989,
  Headers = 7005,
  Headers_Iterator = 7013,
  HeapSnapshot = 7030,
  Highlight = 7043,
  HighlightRegistry = 7053,
  History = 7071,
  IDBCursor = 7079,
  IDBCursorWithValue = 7089,
  IDBDatabase = 7108,
  IDBFactory = 7120,
  IDBIndex = 7131,
  IDBKeyRange = 7140,
  IDBObjectStore = 7152,
  IDBOpenDBRequest = 7167,
  IDBRequest = 7184,
  IDBTransaction = 7195,
  IDBVersionChangeEvent = 7210,
  IIRFilterNode = 7232,
  IOUtils = 7246,
  IdentityCredential = 7254,
  IdleDeadline = 7273,
  Image = 7286,
  ImageBitmap = 7292,
  ImageBitmapRenderingContext = 7304,
  ImageCapture = 7332,
  ImageCaptureError = 7345,
  ImageCaptureErrorEvent = 7363,
  ImageData = 7386,
  ImageDecoder = 7396,
  ImageDocument = 7409,
  ImageTrack = 7423,
  ImageTrackList = 7434,
  InputEvent = 7449,
  InspectorCSSParser = 7460,
  InspectorFontFace = 7479,
  InspectorUtils = 7497,
  InstallTriggerImpl = 7512,
  IntersectionObserver = 7531,
  IntersectionObserverEntry = 7552,
  IntlUtils = 7578,
  InvokeEvent = 7588,
  JSProcessActorChild = 7600,
  JSProcessActorParent = 7620,
  JSWindowActorChild = 7641,
  JSWindowActorParent = 7660,
  KeyEvent = 7680,
  KeyboardEvent = 7689,
  KeyframeEffect = 7703,
  L10nFileSource = 7718,
  L10nOverlays = 7733,
  L10nRegistry = 7746,
  LargestContentfulPaint = 7759,
  LegacyMozTCPSocket = 7782,
  Localization = 7801,
  Location = 7814,
  Lock = 7823,
  LockManager = 7828,
  MIDIAccess = 7840,
  MIDIConnectionEvent = 7851,
  MIDIInput = 7871,
  MIDIInputMap = 7881,
  MIDIMessageEvent = 7894,
  MIDIOutput = 7911,
  MIDIOutputMap = 7922,
  MIDIPort = 7936,
  MLS = 7945,
  MLSGroupView = 7949,
  MOZ_debug = 7962,
  MatchGlob = 7972,
  MatchPattern = 7982,
  MatchPatternSet = 7995,
  MathMLElement = 8011,
  MediaCapabilities = 8025,
  MediaControlService = 8043,
  MediaController = 8063,
  MediaDeviceInfo = 8079,
  MediaDevices = 8095,
  MediaElementAudioSourceNode = 8108,
  MediaEncryptedEvent = 8136,
  MediaError = 8156,
  MediaKeyError = 8167,
  MediaKeyMessageEvent = 8181,
  MediaKeySession = 8202,
  MediaKeyStatusMap = 8218,
  MediaKeyStatusMap_Iterator = 8236,
  MediaKeySystemAccess = 8263,
  MediaKeys = 8284,
  MediaList = 8294,
  MediaMetadata = 8304,
  MediaQueryList = 8318,
  MediaQueryListEvent = 8333,
  MediaRecorder = 8353,
  MediaRecorderErrorEvent = 8367,
  MediaSession = 8391,
  MediaSource = 8404,
  MediaStream = 8416,
  MediaStreamAudioDestinationNode = 8428,
  MediaStreamAudioSourceNode = 8460,
  MediaStreamError = 8487,
  MediaStreamEvent = 8504,
  MediaStreamTrack = 8521,
  MediaStreamTrackAudioSourceNode = 8538,
  MediaStreamTrackEvent = 8570,
  MerchantValidationEvent = 8592,
  MessageBroadcaster = 8616,
  MessageChannel = 8635,
  MessageEvent = 8650,
  MessageListenerManager = 8663,
  MessagePort = 8686,
  MessageSender = 8698,
  MimeType = 8712,
  MimeTypeArray = 8721,
  MouseEvent = 8735,
  MouseScrollEvent = 8746,
  MozCanvasPrintState = 8763,
  MozDocumentMatcher = 8783,
  MozDocumentObserver = 8802,
  MozQueryInterface = 8822,
  MozSharedMap = 8840,
  MozSharedMap_Iterator = 8853,
  MozSharedMapChangeEvent = 8875,
  MozStorageAsyncStatementParams = 8899,
  MozStorageStatementParams = 8930,
  MozStorageStatementRow = 8956,
  MozWritableSharedMap = 8979,
  MutationEvent = 9000,
  MutationObserver = 9014,
  MutationRecord = 9031,
  NamedNodeMap = 9046,
  NavigateEvent = 9059,
  Navigation = 9073,
  NavigationActivation = 9084,
  NavigationCurrentEntryChangeEvent = 9105,
  NavigationDestination = 9139,
  NavigationHistoryEntry = 9161,
  NavigationPreloadManager = 9184,
  NavigationTransition = 9209,
  Navigator = 9230,
  NetworkInformation = 9240,
  Node = 9259,
  NodeFilter = 9264,
  NodeIterator = 9275,
  NodeList = 9288,
  Notification = 9297,
  NotificationEvent = 9310,
  NotifyPaintEvent = 9328,
  OES_draw_buffers_indexed = 9345,
  OES_element_index_uint = 9370,
  OES_fbo_render_mipmap = 9393,
  OES_standard_derivatives = 9415,
  OES_texture_float = 9440,
  OES_texture_float_linear = 9458,
  OES_texture_half_float = 9483,
  OES_texture_half_float_linear = 9506,
  OES_vertex_array_object = 9536,
  OVR_multiview2 = 9560,
  OfflineAudioCompletionEvent = 9575,
  OfflineAudioContext = 9603,
  OffscreenCanvas = 9623,
  OffscreenCanvasRenderingContext2D = 9639,
  Option = 9673,
  OscillatorNode = 9680,
  PageTransitionEvent = 9695,
  PaintRequest = 9715,
  PaintRequestList = 9728,
  PaintWorkletGlobalScope = 9745,
  PannerNode = 9769,
  ParentProcessMessageManager = 9780,
  Path2D = 9808,
  PathUtils = 9815,
  PaymentAddress = 9825,
  PaymentMethodChangeEvent = 9840,
  PaymentRequest = 9865,
  PaymentRequestUpdateEvent = 9880,
  PaymentResponse = 9906,
  PeerConnectionImpl = 9922,
  PeerConnectionObserver = 9941,
  Performance = 9964,
  PerformanceEntry = 9976,
  PerformanceEntryEvent = 9993,
  PerformanceEventTiming = 10015,
  PerformanceMark = 10038,
  PerformanceMeasure = 10054,
  PerformanceNavigation = 10073,
  PerformanceNavigationTiming = 10095,
  PerformanceObserver = 10123,
  PerformanceObserverEntryList = 10143,
  PerformancePaintTiming = 10172,
  PerformanceResourceTiming = 10195,
  PerformanceServerTiming = 10221,
  PerformanceTiming = 10245,
  PeriodicWave = 10263,
  PermissionStatus = 10276,
  Permissions = 10293,
  PlacesBookmark = 10305,
  PlacesBookmarkAddition = 10320,
  PlacesBookmarkChanged = 10343,
  PlacesBookmarkGuid = 10365,
  PlacesBookmarkKeyword = 10384,
  PlacesBookmarkMoved = 10406,
  PlacesBookmarkRemoved = 10426,
  PlacesBookmarkTags = 10448,
  PlacesBookmarkTime = 10467,
  PlacesBookmarkTitle = 10486,
  PlacesBookmarkUrl = 10506,
  PlacesEvent = 10524,
  PlacesEventCounts = 10536,
  PlacesFavicon = 10554,
  PlacesHistoryCleared = 10568,
  PlacesObservers = 10589,
  PlacesPurgeCaches = 10605,
  PlacesRanking = 10623,
  PlacesVisit = 10637,
  PlacesVisitRemoved = 10649,
  PlacesVisitTitle = 10668,
  PlacesWeakCallbackWrapper = 10685,
  Plugin = 10711,
  PluginArray = 10718,
  PluginCrashedEvent = 10730,
  PointerEvent = 10749,
  PopStateEvent = 10762,
  PopupBlockedEvent = 10776,
  PopupPositionedEvent = 10794,
  PositionStateEvent = 10815,
  PrecompiledScript = 10834,
  PrivateAttribution = 10852,
  ProcessMessageManager = 10871,
  ProcessingInstruction = 10893,
  ProgressEvent = 10915,
  PromiseDebugging = 10929,
  PromiseNativeHandler = 10946,
  PromiseRejectionEvent = 10967,
  PublicKeyCredential = 10989,
  PushEvent = 11009,
  PushManager = 11019,
  PushManagerImpl = 11031,
  PushMessageData = 11047,
  PushSubscription = 11063,
  PushSubscriptionOptions = 11080,
  RTCCertificate = 11104,
  RTCDTMFSender = 11119,
  RTCDTMFToneChangeEvent = 11133,
  RTCDataChannel = 11156,
  RTCDataChannelEvent = 11171,
  RTCDtlsTransport = 11191,
  RTCEncodedAudioFrame = 11208,
  RTCEncodedVideoFrame = 11229,
  RTCIceCandidate = 11250,
  RTCIceTransport = 11266,
  RTCIdentityProviderRegistrar = 11282,
  RTCPeerConnection = 11311,
  RTCPeerConnectionIceEvent = 11329,
  RTCPeerConnectionStatic = 11355,
  RTCRtpReceiver = 11379,
  RTCRtpScriptTransform = 11394,
  RTCRtpScriptTransformer = 11416,
  RTCRtpSender = 11440,
  RTCRtpTransceiver = 11453,
  RTCSctpTransport = 11471,
  RTCSessionDescription = 11488,
  RTCStatsReport = 11510,
  RTCTrackEvent = 11525,
  RTCTransformEvent = 11539,
  RadioNodeList = 11557,
  Range = 11571,
  ReadableByteStreamController = 11577,
  ReadableStream = 11606,
  ReadableStream_AsyncIterator = 11621,
  ReadableStreamBYOBReader = 11650,
  ReadableStreamBYOBRequest = 11675,
  ReadableStreamDefaultController = 11701,
  ReadableStreamDefaultReader = 11733,
  Report = 11761,
  ReportBody = 11768,
  ReportingObserver = 11779,
  Request = 11797,
  ResizeObserver = 11805,
  ResizeObserverEntry = 11820,
  ResizeObserverSize = 11840,
  Response = 11859,
  SVGAElement = 11868,
  SVGAngle = 11880,
  SVGAnimateElement = 11889,
  SVGAnimateMotionElement = 11907,
  SVGAnimateTransformElement = 11931,
  SVGAnimatedAngle = 11958,
  SVGAnimatedBoolean = 11975,
  SVGAnimatedEnumeration = 11994,
  SVGAnimatedInteger = 12017,
  SVGAnimatedLength = 12036,
  SVGAnimatedLengthList = 12054,
  SVGAnimatedNumber = 12076,
  SVGAnimatedNumberList = 12094,
  SVGAnimatedPreserveAspectRatio = 12116,
  SVGAnimatedRect = 12147,
  SVGAnimatedString = 12163,
  SVGAnimatedTransformList = 12181,
  SVGAnimationElement = 12206,
  SVGCircleElement = 12226,
  SVGClipPathElement = 12243,
  SVGComponentTransferFunctionElement = 12262,
  SVGDefsElement = 12298,
  SVGDescElement = 12313,
  SVGElement = 12328,
  SVGEllipseElement = 12339,
  SVGFEBlendElement = 12357,
  SVGFEColorMatrixElement = 12375,
  SVGFEComponentTransferElement = 12399,
  SVGFECompositeElement = 12429,
  SVGFEConvolveMatrixElement = 12451,
  SVGFEDiffuseLightingElement = 12478,
  SVGFEDisplacementMapElement = 12506,
  SVGFEDistantLightElement = 12534,
  SVGFEDropShadowElement = 12559,
  SVGFEFloodElement = 12582,
  SVGFEFuncAElement = 12600,
  SVGFEFuncBElement = 12618,
  SVGFEFuncGElement = 12636,
  SVGFEFuncRElement = 12654,
  SVGFEGaussianBlurElement = 12672,
  SVGFEImageElement = 12697,
  SVGFEMergeElement = 12715,
  SVGFEMergeNodeElement = 12733,
  SVGFEMorphologyElement = 12755,
  SVGFEOffsetElement = 12778,
  SVGFEPointLightElement = 12797,
  SVGFESpecularLightingElement = 12820,
  SVGFESpotLightElement = 12849,
  SVGFETileElement = 12871,
  SVGFETurbulenceElement = 12888,
  SVGFilterElement = 12911,
  SVGForeignObjectElement = 12928,
  SVGGElement = 12952,
  SVGGeometryElement = 12964,
  SVGGradientElement = 12983,
  SVGGraphicsElement = 13002,
  SVGImageElement = 13021,
  SVGLength = 13037,
  SVGLengthList = 13047,
  SVGLineElement = 13061,
  SVGLinearGradientElement = 13076,
  SVGMPathElement = 13101,
  SVGMarkerElement = 13117,
  SVGMaskElement = 13134,
  SVGMatrix = 13149,
  SVGMetadataElement = 13159,
  SVGNumber = 13178,
  SVGNumberList = 13188,
  SVGPathElement = 13202,
  SVGPatternElement = 13217,
  SVGPoint = 13235,
  SVGPointList = 13244,
  SVGPolygonElement = 13257,
  SVGPolylineElement = 13275,
  SVGPreserveAspectRatio = 13294,
  SVGRadialGradientElement = 13317,
  SVGRect = 13342,
  SVGRectElement = 13350,
  SVGSVGElement = 13365,
  SVGScriptElement = 13379,
  SVGSetElement = 13396,
  SVGStopElement = 13410,
  SVGStringList = 13425,
  SVGStyleElement = 13439,
  SVGSwitchElement = 13455,
  SVGSymbolElement = 13472,
  SVGTSpanElement = 13489,
  SVGTextContentElement = 13505,
  SVGTextElement = 13527,
  SVGTextPathElement = 13542,
  SVGTextPositioningElement = 13561,
  SVGTitleElement = 13587,
  SVGTransform = 13603,
  SVGTransformList = 13616,
  SVGUnitTypes = 13633,
  SVGUseElement = 13646,
  SVGViewElement = 13660,
  Sanitizer = 13675,
  Scheduler = 13685,
  Screen = 13695,
  ScreenLuminance = 13702,
  ScreenOrientation = 13718,
  ScriptProcessorNode = 13736,
  ScrollAreaEvent = 13756,
  ScrollViewChangeEvent = 13772,
  SecurityPolicyViolationEvent = 13794,
  Selection = 13823,
  ServiceWorker = 13833,
  ServiceWorkerContainer = 13847,
  ServiceWorkerGlobalScope = 13870,
  ServiceWorkerRegistration = 13895,
  SessionStoreFormData = 13921,
  SessionStoreScrollData = 13942,
  SessionStoreUtils = 13965,
  ShadowRealmGlobalScope = 13983,
  ShadowRoot = 14006,
  SharedWorker = 14017,
  SharedWorkerGlobalScope = 14030,
  SimpleGestureEvent = 14054,
  SourceBuffer = 14073,
  SourceBufferList = 14086,
  SpeechGrammar = 14103,
  SpeechGrammarList = 14117,
  SpeechRecognition = 14135,
  SpeechRecognitionAlternative = 14153,
  SpeechRecognitionError = 14182,
  SpeechRecognitionEvent = 14205,
  SpeechRecognitionResult = 14228,
  SpeechRecognitionResultList = 14252,
  SpeechSynthesis = 14280,
  SpeechSynthesisErrorEvent = 14296,
  SpeechSynthesisEvent = 14322,
  SpeechSynthesisUtterance = 14343,
  SpeechSynthesisVoice = 14368,
  StaticRange = 14389,
  StereoPannerNode = 14401,
  Storage = 14418,
  StorageEvent = 14426,
  StorageManager = 14439,
  StreamFilter = 14454,
  StreamFilterDataEvent = 14467,
  StructuredCloneHolder = 14489,
  StructuredCloneTester = 14511,
  StyleSheet = 14533,
  StyleSheetApplicableStateChangeEvent = 14544,
  StyleSheetList = 14581,
  StyleSheetRemovedEvent = 14596,
  SubmitEvent = 14619,
  SubtleCrypto = 14631,
  SyncMessageSender = 14644,
  SyncReadFile = 14662,
  TCPServerSocket = 14675,
  TCPServerSocketEvent = 14691,
  TCPSocket = 14712,
  TCPSocketErrorEvent = 14722,
  TCPSocketEvent = 14742,
  TaskController = 14757,
  TaskPriorityChangeEvent = 14772,
  TaskSignal = 14796,
  TelemetryStopwatch = 14807,
  TestUtils = 14826,
  TestingDeprecatedInterface = 14836,
  Text = 14863,
  TextClause = 14868,
  TextDecoder = 14879,
  TextDecoderStream = 14891,
  TextEncoder = 14909,
  TextEncoderStream = 14921,
  TextEvent = 14939,
  TextMetrics = 14949,
  TextTrack = 14961,
  TextTrackCue = 14971,
  TextTrackCueList = 14984,
  TextTrackList = 15001,
  TimeEvent = 15015,
  TimeRanges = 15025,
  ToggleEvent = 15036,
  Touch = 15048,
  TouchEvent = 15054,
  TouchList = 15065,
  TrackEvent = 15075,
  TransformStream = 15086,
  TransformStreamDefaultController = 15102,
  TransitionEvent = 15135,
  TreeColumn = 15151,
  TreeColumns = 15162,
  TreeContentView = 15174,
  TreeWalker = 15190,
  TrustedHTML = 15201,
  TrustedScript = 15213,
  TrustedScriptURL = 15227,
  TrustedTypePolicy = 15244,
  TrustedTypePolicyFactory = 15262,
  UDPMessageEvent = 15287,
  UDPSocket = 15303,
  UIEvent = 15313,
  URL = 15321,
  URLSearchParams = 15325,
  URLSearchParams_Iterator = 15341,
  UniFFIPointer = 15366,
  UniFFIScaffolding = 15380,
  UserActivation = 15398,
  UserInteraction = 15413,
  UserProximityEvent = 15429,
  VRDisplay = 15448,
  VRDisplayCapabilities = 15458,
  VRDisplayEvent = 15480,
  VREyeParameters = 15495,
  VRFieldOfView = 15511,
  VRFrameData = 15525,
  VRMockController = 15537,
  VRMockDisplay = 15554,
  VRPose = 15568,
  VRServiceTest = 15575,
  VRStageParameters = 15589,
  VTTCue = 15607,
  VTTRegion = 15614,
  ValidityState = 15624,
  VideoColorSpace = 15638,
  VideoDecoder = 15654,
  VideoEncoder = 15667,
  VideoFrame = 15680,
  VideoPlaybackQuality = 15691,
  VideoTrack = 15712,
  VideoTrackList = 15723,
  ViewTransition = 15738,
  VisualViewport = 15753,
  WEBGL_color_buffer_float = 15768,
  WEBGL_compressed_texture_astc = 15793,
  WEBGL_compressed_texture_etc = 15823,
  WEBGL_compressed_texture_etc1 = 15852,
  WEBGL_compressed_texture_pvrtc = 15882,
  WEBGL_compressed_texture_s3tc = 15913,
  WEBGL_compressed_texture_s3tc_srgb = 15943,
  WEBGL_debug_renderer_info = 15978,
  WEBGL_debug_shaders = 16004,
  WEBGL_depth_texture = 16024,
  WEBGL_draw_buffers = 16044,
  WEBGL_explicit_present = 16063,
  WEBGL_lose_context = 16086,
  WEBGL_provoking_vertex = 16105,
  WGSLLanguageFeatures = 16128,
  WakeLock = 16149,
  WakeLockSentinel = 16158,
  WaveShaperNode = 16175,
  WebExtensionContentScript = 16190,
  WebExtensionPolicy = 16216,
  WebGL2RenderingContext = 16235,
  WebGLActiveInfo = 16258,
  WebGLBuffer = 16274,
  WebGLContextEvent = 16286,
  WebGLFramebuffer = 16304,
  WebGLProgram = 16321,
  WebGLQuery = 16334,
  WebGLRenderbuffer = 16345,
  WebGLRenderingContext = 16363,
  WebGLSampler = 16385,
  WebGLShader = 16398,
  WebGLShaderPrecisionFormat = 16410,
  WebGLSync = 16437,
  WebGLTexture = 16447,
  WebGLTransformFeedback = 16460,
  WebGLUniformLocation = 16483,
  WebGLVertexArrayObject = 16504,
  WebKitCSSMatrix = 16527,
  WebSocket = 16543,
  WebTransport = 16553,
  WebTransportBidirectionalStream = 16566,
  WebTransportDatagramDuplexStream = 16598,
  WebTransportError = 16631,
  WebTransportReceiveStream = 16649,
  WebTransportSendStream = 16675,
  WebrtcGlobalInformation = 16698,
  WheelEvent = 16722,
  Window = 16733,
  WindowClient = 16740,
  WindowContext = 16753,
  WindowGlobalChild = 16767,
  WindowGlobalParent = 16785,
  WindowRoot = 16804,
  Worker = 16815,
  WorkerDebuggerGlobalScope = 16822,
  WorkerGlobalScope = 16848,
  WorkerLocation = 16866,
  WorkerNavigator = 16881,
  WorkerTestUtils = 16897,
  Worklet = 16913,
  WorkletGlobalScope = 16921,
  WritableStream = 16940,
  WritableStreamDefaultController = 16955,
  WritableStreamDefaultWriter = 16987,
  XMLDocument = 17015,
  XMLHttpRequest = 17027,
  XMLHttpRequestEventTarget = 17042,
  XMLHttpRequestUpload = 17068,
  XMLSerializer = 17089,
  XPathEvaluator = 17103,
  XPathExpression = 17118,
  XPathResult = 17134,
  XRBoundedReferenceSpace = 17146,
  XRFrame = 17170,
  XRInputSource = 17178,
  XRInputSourceArray = 17192,
  XRInputSourceEvent = 17211,
  XRInputSourcesChangeEvent = 17230,
  XRPose = 17256,
  XRReferenceSpace = 17263,
  XRReferenceSpaceEvent = 17280,
  XRRenderState = 17302,
  XRRigidTransform = 17316,
  XRSession = 17333,
  XRSessionEvent = 17343,
  XRSpace = 17358,
  XRSystem = 17366,
  XRView = 17375,
  XRViewerPose = 17382,
  XRViewport = 17395,
  XRWebGLLayer = 17406,
  XSLTProcessor = 17419,
  XULCommandEvent = 17433,
  XULElement = 17449,
  XULFrameElement = 17460,
  XULMenuElement = 17476,
  XULPopupElement = 17491,
  XULResizerElement = 17507,
  XULTextElement = 17525,
  XULTreeElement = 17540,
  console = 17555,
  webkitSpeechGrammar = 17563,
  webkitSpeechGrammarList = 17583,
  webkitSpeechRecognition = 17607,
  webkitURL = 17631,
};

namespace binding_detail {
extern const char sBindingNames[];
}  // namespace binding_detail

MOZ_ALWAYS_INLINE const char* BindingName(BindingNamesOffset aOffset) {
  return binding_detail::sBindingNames + static_cast<size_t>(aOffset);
}

} // namespace mozilla::dom


#endif // DOM_BINDINGNAMES_H_
